﻿@using GridMvc.Html
@using GridMvc.Sorting
@model Grid.Mvc.Ajax.GridExtensions.AjaxGrid<LoyaltyPointEngine.Model.Object.Member.MemberGridModel>

@( Html.Grid(Model).Named("AllMember").Columns(columns =>
{
    //columns.Add(x => x.Type)
    //    .Titled("Type")
    //    .Encoded(false)
    //    .Sanitized(false)
    //    .Sortable(true)
    //    .RenderValueAs(x => x.Type);

    columns.Add(x => x.Gender)
      .Titled("Gender")
      .Encoded(false)
      .Sanitized(false)
      .Sortable(true)
      .RenderValueAs(x => x.Gender);

    columns.Add(x => x.FirstName)
        .Titled("FirstName")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.FirstName);

    columns.Add(x => x.LastName)
        .Titled("LastName")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.LastName);

    columns.Add(x => x.Email)
        .Titled("Email")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.Email);

    columns.Add(x => x.Phone)
        .Titled("Phone")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.Phone);


    columns.Add(x => x.IsBlacklist)
        .Titled("IsBlacklist")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.IsBlacklist.ToString());

    columns.Add(x => x.Point)
        .Titled("MemberPoint")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.Point.HasValue ? x.Point.Value.ToString() : " - ");

    //columns.Add(x => x.SPGCode)
    //    .Titled("SPG Code")
    //    .Encoded(false)
    //    .Sanitized(false)
    //    .Sortable(true);

    //columns.Add(x => x.SPGName)
    //       .Titled("SPG Name")
    //       .Encoded(false)
    //       .Sanitized(false)
    //       .Sortable(true)
    //       .RenderValueAs(x => x.SPGName);

    //columns.Add(x => x.Outlet)
    //    .Titled("Outlet Name")
    //    .Encoded(false)
    //    .Sanitized(false)
    //    .Sortable(true);

    //columns.Add(x => x.Channel)
    //    .Titled("Channel")
    //    .Encoded(false)
    //    .Sanitized(false)
    //    .Sortable(false);

    //columns.Add(x => x.CreatedDate)
    //    .Titled("Created Date")
    //    .Encoded(false)
    //    .Sanitized(false)
    //    .Sortable(true)
    //    .RenderValueAs(x => x.CreatedDate.HasValue ? x.CreatedDate.Value.ToString("dd-MM-yyyy") : string.Empty);

    //columns.Add()
    //    .Encoded(false)
    //    .Sanitized(false)
    //    .SetWidth(50)
    //    .Css("cell-center")
    //    .RenderValueAs(x => string.Format("<a href=\"{0}\" class=\"btn btn-xs btn-info\">Edit</a>", Url.Action(MVC.Member.Edit(x.ID))));

    //columns.Add()
    //    .Encoded(false)
    //    .Sanitized(false)
    //    .SetWidth(50)
    //    .Css("cell-center")
    //    .RenderValueAs(x => string.Format("<a href=\"{0}\" data-link=\"{1}\" data-name=\"{2}\" class=\"btn btn-xs btn-danger confirmModal\">Delete</a>", "#", Url.Action(MVC.Member.Delete(x.ID)), x.FirstName));

}).Sortable().WithPaging(5))

<h3 id="totalRows">@String.Format("{0} rows", ViewData.Model.GridItems.Count().ToString())</h3>